General

Endpoints that don't belong to a specific feature.

Status

GET https://sandrabot.com/api/v1/status

Retrieves basic statistics about the current session. This can also be used to track the bot's uptime.

{
    "success": true, // Will you succeed?
    "version": "...", // Build information
    "ping": 84.0, // Average Discord latency in milliseconds
    "guilds": 2362, // Total distinct guilds
    "memory": 639, // Memory usage in MB
    "uptime": 484590, // Duration of this session in seconds
    "shards": {
        [
            "id": 0, // Shard ID
            "ping": 62, // Discord latency in milliseconds
            "guilds": 249, // Guilds maintained by this shard
            "status": "CONNECTED" // Shard connection status
        ],
        ...
    }
}

Last updated

Was this helpful?